import { html } from "#lib";
import { Section } from "./base/section";

export async function GlossaryTable(
  glossary: Record<string, string[]>,
): Promise<string> {
  const terms = Object.entries(glossary).map(([term, defs]) => {
    return html`<dt>${term}</dt>${defs.map((d) => html`<dd>${d}</dd>`).join("\n")}`;
  });

  const content = html`
    <div class="glossary-content">
      <dl>
        ${terms.join("\n")}
      </dl>
    </div>
  `;

  return Section({
    type: "glossary",
    componentId: "glossary",
    title: "Glossary",
    content,
  });
}
